<?php
//define('DB_HOST', "192.168.1.11:3306");
define('DB_HOST', "localhost:3306");
define('DB_USER', "cristalzik");
define('DB_PASSWORD', "a45@U78aZx");
define('DB_NAME', "cristalzik_ms");

define('APPLICATION_CZV3_TO_CZV4_PATH','/home/vhosts/demo.sr.cristalzik.com/docs/httpdocs/');//full path vers l'application
define('NOM_INSTALLATION','DEMOV5');
define('RESOLUTION_BANNIERE_LONGUEUR','1280');

//define('CFG_PAS_VERIF_JAQUETTE','1');
//define('CFG_PAS_OFFUSCATION_PISTE','1');

define('APPLICATION_PATH','/home/vhosts/demo.sr.cristalzik.com/docs/httpdocs/');//full path vers l'application
define('APPLICATION_URL','http://demo.cristalzik.com/');//URL de l'application

/* adresse de la bibliotheque d'album et video dans le cas ou on peut importer des albums provennant d'un autre serveur*/
//define('URL_BIBLIOTHEQUE_EXTERNE', "");

define('HTTPD_CONF', '/etc/httpd/conf/httpd.conf');	// chemin pour le fichier httpd.conf
define("URL_API_SERVER" , "http://stockage01.cristalzik.com/upload_central/");
define("PROXY" , "");	// le proxy, /!\ si pas necessaire, le laisser quand même avec comme valeur ""
define("URL_API_SERVER_DOWNLOAD" , "http://stockage01.cristalzik.com/download_central/");


//utilisé si le client veut utiliser son propre systeme de rippage
define('MODE_ENRICHISSEMENT_SEMIMANUEL', "0");
//le repertoire doit etre accessible depuis le serveur
define('REPERTOIRE_ENRICHISSEMENT', "");
//le nom de l'alias qui pointe dessus
define('ALIAS_ENRICHISSEMENT', "");
//le repertoire import en masse
define('REPERTOIRE_IMPORT_MASSE', "/home/vhosts/demo.sr.cristalzik.com/docs/httpdocs/mp3");

define('FORCER_IMPORT_UNIMARC_ISO8859_1', false);//utilisé pour NIORT car les dernieres notices unimarc contiennent une erreur d'encodage et pour eviter

//qu'ils fassent faire une correction sur leur SIGB on a altéré la detection de l'encodage dans cristalzik
define('EMAIL_ADMIN_ALERTE', "alexandre@acacia-dynamic.com");

//url du serveur de mise a jour
//si vide ne fait pas la requete et regarde dans un répertoire en NOM_INSTALLATION
//sert a effectuer les maj manuellement




define('URL_SERVEUR_MISE_A_JOUR', "http://media.cristalzik.com/cristalzik_maj");
define('APPLICATION_PATH_ORIGINEL','/home/vhosts/demo.sr.cristalzik.com/docs/httpdocs/');//chemin vers le repertoire d'installation pas forcément le répertoire de stockage
define('APPLICATION_URL_ORIGINEL','http://demo.cristalzik.com/');//URL de l'application vers le repertoire d'installation WWW


define('OPTION_TELECHARGEMENT_ALBUM_PANIER', false);
define('TEMPS_SUPPRESSION_PANIER_TELECHARGEMENT_EN_HEURE','12');

define('OPTION_TRI_RESULTAT_ALBUM', true);
define('OPTION_TRI_RESULTAT_VIDEO', true);




//Configuration Mysql
$global_SQLHost='localhost';
$global_SQLUser='cristalzik';
$global_SQLPassword='a45@U78aZx';
$global_SQLDatabase='cristalzik_ms';

//si on veut faire un traitement sur le code barre apres le scan et 
//avant qu'il soit confront� a la liste
//define('EXPR_CODE_BARRE_POST_SCAN','([0-9]{4})([0-9]{6})');
//define('EXPR_CODE_BARRE_POST_SCAN',"/([0-9]{4})([0-9]{6})/i");
$global_nom_serveur='DEMOV5';//IMPORTANT sert a identifier le serveur dans les logs
$global_email_administrateur_alerte='alexandre@acacia-dynamic.com';
define(_IP_CRISTALZIK_WEB,'91.121.65.223');
$global_url_cristalzik_web='http://demo.cristalzik.com/cristalzik_web_v5/index.html'; //url de l'index de l'application web
$global_mode_table_ecoute='V5'; //pas de compte utilisateur, pas de limitation d'ecoute, si V5 authentification et gestion user

define('GESTION_UTILISATEUR', '1'); //si pas d'utilisateur mettre 0
//ca ne concerne que la gestion des users, a mettre a vide si pas de gestion users
define('UTILISATEUR_DB_HOST', "localhost:3306");
define('UTILISATEUR_DB_USER', "cz_distant");
define('UTILISATEUR_DB_PASSWORD', "mEyUu5EzeNzAHsSj");
define('UTILISATEUR_DB_NAME', "lemonldapng");
define('UTILISATEUR_IDENTIFANT_MEDIATHEQUE', "Hzer11rz_rd");
define('AUTH_PARTIE_URL_SOUS_DOMAINE',".sr.cristalzik.com");
define('NO_AUTH_PARTIE_URL_SOUS_DOMAINE',".cristalzik.com");


//commande pour conversion ffmpeg
//linux
define('FFMPEG_COMMAND','/usr/bin//ffmpeg -i {INPUT_FILE}  -s {OUTPUT_WIDTH}x{OUTPUT_HEIGHT} -vcodec libx264 -vpre hq -b 500k -threads 0 -acodec libfaac -ab 96k {OUTPUT_FILE} &');
//define('FFMPEG_COMMAND','/usr/bin//ffmpeg -i {INPUT_FILE}  -s {OUTPUT_WIDTH}x{OUTPUT_HEIGHT} -vcodec libx264 -vpre hq -b 500k -threads 0 -acodec libfaac -ab 96k {OUTPUT_FILE} 2>&1');
//windows
//define('FFMPEG_COMMAND','C:\webserver\www\bin\Winff\ffmpeg.exe -i {INPUT_FILE}  -s {OUTPUT_WIDTH}x{OUTPUT_HEIGHT} -vcodec libx264 -b 500k -threads 0 -acodec libfaac -ab 96k {OUTPUT_FILE}');

//windows
//define('DUMP_COMMAND','C:\webserver\Apache2\mysql\bin\mysqldump.exe -u '.DB_USER.' -p'.DB_PASSWORD.' '.DB_NAME.' > "C:\webserver\www\upload_local\temporaire\{OUTPUT_FILE}"');
//Linux
define('DUMP_COMMAND','/usr/bin//mysqldump -u '.DB_USER.' -p'.DB_PASSWORD.' '.DB_NAME.' > "/home/vhosts/demo.sr.cristalzik.com/docs/httpdocs/upload_local/temporaire/{OUTPUT_FILE}"');


//fonction d'aide
function _debug($var,$label=null) {
	echo '<div style="border:1px solid black;box-shadow:1px 1px 6px #555;padding:5px;background:#C0C0C0;"><div><strong>DEBUG '.(!is_null($label)?'- <em>'.$label.'</em>':'').'</strong></div><pre>';
	var_dump($var);
	echo '</pre></div>';
}

function _show_message($text,$type) {
	switch ($type) {
		case 'ok':
			echo '<div class="success">'.$text.'</div>';
			break;
		case 'ko':
			echo '<div class="error">'.$text.'</div>';
			break;
		case 'info':
			echo '<div class="info">'.$text.'</div>';
			break;
	}
}






?>